import pytest


@pytest.fixture()
def page_url():
    return 'https://apsl.net'


@pytest.fixture()
def sitemap_url():
    return 'https://apsl.net/sitemap.xml'


@pytest.fixture()
def fix_har_file():
    return {"log": {"entries": [{"response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                              "bodySize": 47, "headersSize": 229, "status": 200,
                                              "content": {"comment": "", "mimeType": "application/json; charset=UTF-8",
                                                          "size": 0}, "httpVersion": "HTTP/1.1", "redirectURL": ""},
                                 "cache": {},
                                 "timings": {"wait": 54, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1, "send": 0,
                                             "comment": "", "connect": -1}, "pageref": "Page 0",
                                 "serverIPAddress": "54.229.18.107", "startedDateTime": "2018-10-18T17:16:16.219+02:00",
                                 "comment": "", "request": {"headers": [], "cookies": [],
                                                            "url": "https://location.services.mozilla.com/v1/country"
                                                                   "?key=no-mozilla-api-key",
                                                            "method": "POST", "bodySize": 2,
                                                            "queryString": [
                                                                {"value": "no-mozilla-api-key", "name": "key"}],
                                                            "headersSize": 347, "comment": "",
                                                            "httpVersion": "HTTP/1.1"}, "time": 55}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "Moved Permanently",
                                                 "comment": "", "bodySize": 178, "headersSize": 236, "status": 301,
                                                 "content": {"comment": "", "mimeType": "text/html", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": "https://www.apsl.net/"},
                                    "cache": {},
                                    "timings": {"wait": 58, "receive": 0, "dns": 0, "ssl": 257, "blocked": 0, "send": 0,
                                                "comment": "", "connect": 318}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:16.421+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [], "url": "https://apsl.net/",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 331,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 378}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 9500, "headersSize": 415, "status": 200,
                                                 "content": {"comment": "", "mimeType": "text/html; charset=utf-8",
                                                             "size": 0}, "httpVersion": "HTTP/1.1", "redirectURL": ""},
                                    "cache": {},
                                    "timings": {"wait": 57, "receive": 1, "dns": 0, "ssl": 304, "blocked": 0, "send": 0,
                                                "comment": "", "connect": 361}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:16.859+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [], "url": "https://www.apsl.net/",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 335,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 420}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 83986, "headersSize": 505, "status": 200,
                                                 "content": {"comment": "", "mimeType": "text/css", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 57, "receive": 111, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.031+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb/CACHE/css/1e4cbdb6d6ff.css",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 333,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 168}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 416362, "headersSize": 475, "status": 200,
                                                 "content": {"comment": "", "mimeType": "application/javascript",
                                                             "size": 0}, "httpVersion": "HTTP/1.1", "redirectURL": ""},
                                    "cache": {},
                                    "timings": {"wait": 113, "receive": 221, "dns": 0, "ssl": 67, "blocked": 0,
                                                "send": 0, "comment": "", "connect": 124}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.165+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb/CACHE/js/efcf3bb0a72c.js",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 316,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 459}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 2702, "headersSize": 457, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/png", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 58, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.203+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb/img/apsl.png",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 304,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 58}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 13720, "headersSize": 461, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 64, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.263+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "Supspot.width-370.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 319,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 65}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 24604, "headersSize": 461, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 55, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.333+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/encora.width-370.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 318,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 56}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 30055, "headersSize": 462, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 100, "receive": 0, "dns": 0, "ssl": 57, "blocked": 0, "send": 0,
                                                "comment": "", "connect": 113}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.371+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "homephoto.original.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 320,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 215}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 22457, "headersSize": 462, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 57, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.393+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "hipotels_IUF5nTx.width-370.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 328,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 57}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 9824, "headersSize": 458, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 56, "receive": 0, "dns": 0, "ssl": 71, "blocked": 0, "send": 0,
                                                "comment": "", "connect": 141}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.394+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "home_inmobiliaria_01.width-370.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 332,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 199}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 10159, "headersSize": 460, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 55, "receive": 0, "dns": 0, "ssl": 61, "blocked": 0, "send": 0,
                                                "comment": "", "connect": 135}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.395+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "home_vacacional_01.width-370.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 330,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 191}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 9897, "headersSize": 460, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 55, "receive": 0, "dns": 0, "ssl": 91, "blocked": 0, "send": 3,
                                                "comment": "", "connect": 168}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.409+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "home_odoo_01.width-370.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 324,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 227}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 10235, "headersSize": 460, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 53, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.458+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "juanichi_58btoxC.width-270.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 328,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 53}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 66624, "headersSize": 475, "status": 200,
                                                 "content": {"comment": "", "mimeType": "application/octet-stream",
                                                             "size": 0}, "httpVersion": "HTTP/1.1", "redirectURL": ""},
                                    "cache": {},
                                    "timings": {"wait": 56, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.458+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb/fonts/"
                                                       "fontawesome-webfont.woff2?v=4.5.0&252cb5231cbc",
                                                "method": "GET", "bodySize": 0,
                                                "queryString": [{"value": "4.5.0", "name": "v"},
                                                                {"value": "", "name": "252cb5231cbc"}],
                                                "headersSize": 439, "comment": "", "httpVersion": "HTTP/1.1"},
                                    "time": 56}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 9769, "headersSize": 459, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 58, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.458+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "bernat_Jh32OKL.width-270.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 326,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 58}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 28696, "headersSize": 471, "status": 200,
                                                 "content": {"comment": "", "mimeType": "application/font-woff",
                                                             "size": 0}, "httpVersion": "HTTP/1.1", "redirectURL": ""},
                                    "cache": {},
                                    "timings": {"wait": 54, "receive": 52, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.469+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb/fonts/"
                                                       "social-icons.woff?28036741&252cb5231cbc",
                                                "method": "GET", "bodySize": 0,
                                                "queryString": [{"value": "", "name": "28036741"},
                                                                {"value": "", "name": "252cb5231cbc"}],
                                                "headersSize": 432, "comment": "", "httpVersion": "HTTP/1.1"},
                                    "time": 106}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 23320, "headersSize": 470, "status": 200,
                                                 "content": {"comment": "", "mimeType": "application/font-woff",
                                                             "size": 0}, "httpVersion": "HTTP/1.1", "redirectURL": ""},
                                    "cache": {},
                                    "timings": {"wait": 51, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.473+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb/fonts"
                                                       "/glyphicons-halflings-regular.woff?252cb5231cbc",
                                                "method": "GET", "bodySize": 0,
                                                "queryString": [{"value": "", "name": "252cb5231cbc"}],
                                                "headersSize": 439, "comment": "", "httpVersion": "HTTP/1.1"},
                                    "time": 51}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 9857, "headersSize": 460, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 57, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.501+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "toni_FaUF524.width-270.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 324,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 57}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 9086, "headersSize": 459, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/jpeg", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 57, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.512+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "iker_xDmoSm3.width-270.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 324,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 57}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 7002, "headersSize": 459, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/png", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 59, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.517+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/ibacar.width-235.png",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 318,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 59}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "", "comment": "",
                                                 "bodySize": -1, "headersSize": -1, "status": 0,
                                                 "content": {"comment": "", "mimeType": "", "size": 0},
                                                 "_error": "No response received", "httpVersion": "unknown",
                                                 "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 0, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1, "send": 0,
                                                "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.518+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "hipotels.width-235.png",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 320,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 0}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 9565, "headersSize": 458, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/png", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 51, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.528+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "palladium.width-235.png",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 321,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 51}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 6923, "headersSize": 458, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/png", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 56, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.561+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb/img/content/Home/"
                                                       "logitravel.png",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 323,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 56}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 12837, "headersSize": 458, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/png", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 54, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.570+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb/img/content/Home/"
                                                       "parcbit-logo.png",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 325,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 54}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 7718, "headersSize": 458, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/png", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 53, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.577+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "hipotels.width-235.png",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 320,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 54}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 11765, "headersSize": 459, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/png", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 60, "receive": 0, "dns": 0, "ssl": 69, "blocked": 0, "send": 0,
                                                "comment": "", "connect": 136}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:17.670+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/media/apslweb/images/"
                                                       "logitravel_fUtgZge.width-235.png",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 330,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 197}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 17301, "headersSize": 489, "status": 200,
                                                 "content": {"comment": "", "mimeType": "text/javascript", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 17, "receive": 6, "dns": 17, "ssl": 369, "blocked": 0,
                                                "send": 5, "comment": "", "connect": 386}, "pageref": "Page 0",
                                    "serverIPAddress": "216.58.210.174",
                                    "startedDateTime": "2018-10-18T17:16:17.804+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.google-analytics.com/analytics.js", "method": "GET",
                                                "bodySize": 0, "queryString": [], "headersSize": 301, "comment": "",
                                                "httpVersion": "HTTP/1.1"}, "time": 433}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 20332, "headersSize": 456, "status": 200,
                                                 "content": {"comment": "", "mimeType": "font/woff2", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 17, "receive": 15, "dns": 16, "ssl": 492, "blocked": 0,
                                                "send": 3, "comment": "", "connect": 513}, "pageref": "Page 0",
                                    "serverIPAddress": "216.58.210.163",
                                    "startedDateTime": "2018-10-18T17:16:17.956+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://fonts.gstatic.com/s/raleway/v11/"
                                                       "0dTEPzkLWceF7z0koJaX1A.woff2",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 449,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 567}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 20556, "headersSize": 456, "status": 200,
                                                 "content": {"comment": "", "mimeType": "font/woff2", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 3, "receive": 14, "dns": 15, "ssl": 504, "blocked": 0,
                                                "send": 13, "comment": "", "connect": 521}, "pageref": "Page 0",
                                    "serverIPAddress": "216.58.210.163",
                                    "startedDateTime": "2018-10-18T17:16:17.964+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://fonts.gstatic.com/s/raleway/v11/"
                                                       "xkvoNo9fC8O2RDydKj12b_k_vArhqVIZ0nv9q090hN8.woff2",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 470,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 568}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 35, "headersSize": 391, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/gif", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 38, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "216.58.210.174",
                                    "startedDateTime": "2018-10-18T17:16:18.092+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.google-analytics.com/r/collect?v=1&_v=j71&a=1305702961&t=pageview&_s=1&dl=https%3A%2F%2Fwww.apsl.net%2F&ul=ca&de=UTF-8&dt=APSL%3A%20Desarrollo%20a%20medida%20en%20Python%20y%20Django%20-%20Ingenier%C3%ADa%20de%20sistemas%20-%20Desarrollo%20de%20APPs&sd=24-bit&sr=800x680&vp=708x538&je=0&_u=IEBAAEAB~&jid=314794675&gjid=1308556194&cid=1646535931.1539875778&tid=UA-1844269-2&_gid=1336713224.1539875778&_r=1&z=723972656",  # noqa E501
                                                "method": "GET", "bodySize": 0,
                                                "queryString": [{"value": "1", "name": "v"},
                                                                {"value": "j71", "name": "_v"},
                                                                {"value": "1305702961", "name": "a"},
                                                                {"value": "pageview", "name": "t"},
                                                                {"value": "1", "name": "_s"},
                                                                {"value": "https://www.apsl.net/", "name": "dl"},
                                                                {"value": "ca", "name": "ul"},
                                                                {"value": "UTF-8", "name": "de"},
                                                                {"value": "APSL: Desarrollo a medida en Python y Django"
                                                                          " - Ingenier\u00eda de sistemas - "
                                                                          "Desarrollo de APPs",
                                                                    "name": "dt"}, {"value": "24-bit", "name": "sd"},
                                                                {"value": "800x680", "name": "sr"},
                                                                {"value": "708x538", "name": "vp"},
                                                                {"value": "0", "name": "je"},
                                                                {"value": "IEBAAEAB~", "name": "_u"},
                                                                {"value": "314794675", "name": "jid"},
                                                                {"value": "1308556194", "name": "gjid"},
                                                                {"value": "1646535931.1539875778", "name": "cid"},
                                                                {"value": "UA-1844269-2", "name": "tid"},
                                                                {"value": "1336713224.1539875778", "name": "_gid"},
                                                                {"value": "1", "name": "_r"},
                                                                {"value": "723972656", "name": "z"}],
                                                "headersSize": 684, "comment": "", "httpVersion": "HTTP/1.1"},
                                    "time": 38}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 20528, "headersSize": 457, "status": 200,
                                                 "content": {"comment": "", "mimeType": "font/woff2", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 15, "receive": 15, "dns": 10, "ssl": 718, "blocked": 0,
                                                "send": 6, "comment": "", "connect": 735}, "pageref": "Page 0",
                                    "serverIPAddress": "216.58.210.163",
                                    "startedDateTime": "2018-10-18T17:16:18.178+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://fonts.gstatic.com/s/raleway/v11/"
                                                       "JbtMzqLaYbbbCL9X6EvaI_k_vArhqVIZ0nv9q090hN8.woff2",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 470,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 783}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "", "comment": "",
                                                 "bodySize": -1, "headersSize": -1, "status": 0,
                                                 "content": {"comment": "", "mimeType": "", "size": 0},
                                                 "_error": "No response received", "httpVersion": "unknown",
                                                 "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 0, "receive": 0, "dns": 37, "ssl": 896, "blocked": 0, "send": 0,
                                                "comment": "", "connect": 1105}, "pageref": "Page 0",
                                    "serverIPAddress": "54.200.76.177",
                                    "startedDateTime": "2018-10-18T17:16:18.191+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://shavar.services.mozilla.com/"
                                                       "downloads?client=navclient-auto-ffox&appver=62.0&pver=2.2",
                                                "method": "POST", "bodySize": 214,
                                                "queryString": [{"value": "navclient-auto-ffox", "name": "client"},
                                                                {"value": "62.0", "name": "appver"},
                                                                {"value": "2.2", "name": "pver"}], "headersSize": 468,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 1143}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "OK", "comment": "",
                                                 "bodySize": 1851, "headersSize": 461, "status": 200,
                                                 "content": {"comment": "", "mimeType": "image/x-icon", "size": 0},
                                                 "httpVersion": "HTTP/1.1", "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 58, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1,
                                                "send": 0, "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:18.224+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb//img/favicon.ico",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 419,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 59}, {
                                    "response": {"headers": [], "cookies": [], "statusText": "", "comment": "",
                                                 "bodySize": -1, "headersSize": -1, "status": 0,
                                                 "content": {"comment": "", "mimeType": "", "size": 0},
                                                 "_error": "No response received", "httpVersion": "unknown",
                                                 "redirectURL": ""}, "cache": {},
                                    "timings": {"wait": 0, "receive": 0, "dns": -1, "ssl": -1, "blocked": -1, "send": 0,
                                                "comment": "", "connect": -1}, "pageref": "Page 0",
                                    "serverIPAddress": "148.251.84.231",
                                    "startedDateTime": "2018-10-18T17:16:18.244+02:00", "comment": "",
                                    "request": {"headers": [], "cookies": [],
                                                "url": "https://www.apsl.net/static/apslweb/img/content/Home/"
                                                       "band-7.jpg",
                                                "method": "GET", "bodySize": 0, "queryString": [], "headersSize": 402,
                                                "comment": "", "httpVersion": "HTTP/1.1"}, "time": 0}],
                    "creator": {"version": "2.1.4", "name": "BrowserMob Proxy", "comment": ""}, "version": "1.2",
                    "pages": [{"id": "Page 0", "startedDateTime": "2018-10-18T17:16:16.073+02:00", "comment": "",
                               "pageTimings": {"comment": ""}, "title": "Page 0"}], "comment": ""}}


@pytest.fixture()
def fix_entries_resume():
    return {'': {'total_time': 1143, 'total_size': -5.7220458984375e-06, 'entries': [
        {'url': 'https://www.apsl.net/media/apslweb/images/hipotels.width-235.png', 'status': 0,
         'headers_size': -9.5367431640625e-07, 'time': 0, 'total_size': -1.9073486328125e-06,
         'body_size': -9.5367431640625e-07},
        {'url': 'https://shavar.services.mozilla.com/downloads?client=navclient-auto-ffox&appver=62.0&pver=2.2',
         'status': 0, 'headers_size': -9.5367431640625e-07, 'time': 1143, 'total_size': -1.9073486328125e-06,
         'body_size': -9.5367431640625e-07},
        {'url': 'https://www.apsl.net/static/apslweb/img/content/Home/band-7.jpg', 'status': 0,
         'headers_size': -9.5367431640625e-07, 'time': 0, 'total_size': -1.9073486328125e-06,
         'body_size': -9.5367431640625e-07}]},
            'application/font-woff': {'total_time': 157, 'total_size': 0.05050373077392578, 'entries': [
                {'url': 'https://www.apsl.net/static/apslweb/fonts/social-icons.woff?28036741&252cb5231cbc',
                 'status': 200, 'headers_size': 0.00044918060302734375, 'time': 106, 'total_size': 0.027815818786621094,
                 'body_size': 0.02736663818359375},
                {'url': 'https://www.apsl.net/static/apslweb/fonts/glyphicons-halflings-regular.woff?252cb5231cbc',
                 'status': 200, 'headers_size': 0.0004482269287109375, 'time': 51, 'total_size': 0.022687911987304688,
                 'body_size': 0.02223968505859375}]},
            'text/javascript': {'total_time': 433, 'total_size': 0.016965866088867188, 'entries': [
                {'url': 'https://www.google-analytics.com/analytics.js', 'status': 200,
                 'headers_size': 0.00046634674072265625, 'time': 433, 'total_size': 0.016965866088867188,
                 'body_size': 0.01649951934814453}]},
            'text/html': {'total_time': 798, 'total_size': 0.009850502014160156, 'entries': [
                {'url': 'https://apsl.net/', 'status': 301, 'headers_size': 0.000225067138671875, 'time': 378,
                 'total_size': 0.0003948211669921875, 'body_size': 0.0001697540283203125},
                {'url': 'https://www.apsl.net/', 'status': 200, 'headers_size': 0.00039577484130859375, 'time': 420,
                 'total_size': 0.009455680847167969, 'body_size': 0.009059906005859375}]},
            'font/woff2': {'total_time': 1918, 'total_size': 0.059876441955566406, 'entries': [
                {'url': 'https://fonts.gstatic.com/s/raleway/v11/0dTEPzkLWceF7z0koJaX1A.woff2', 'status': 200,
                 'headers_size': 0.00043487548828125, 'time': 567, 'total_size': 0.019824981689453125,
                 'body_size': 0.019390106201171875},
                {'url': 'https://fonts.gstatic.com/s/raleway/v11/xkvoNo9fC8O2RDydKj12b_k_vArhqVIZ0nv9q090hN8.woff2',
                 'status': 200, 'headers_size': 0.00043487548828125, 'time': 568, 'total_size': 0.020038604736328125,
                 'body_size': 0.019603729248046875},
                {'url': 'https://fonts.gstatic.com/s/raleway/v11/JbtMzqLaYbbbCL9X6EvaI_k_vArhqVIZ0nv9q090hN8.woff2',
                 'status': 200, 'headers_size': 0.00043582916259765625, 'time': 783, 'total_size': 0.020012855529785156,
                 'body_size': 0.0195770263671875}]},
            'text/css': {'total_time': 168, 'total_size': 0.08057689666748047, 'entries': [
                {'url': 'https://www.apsl.net/static/apslweb/CACHE/css/1e4cbdb6d6ff.css', 'status': 200,
                 'headers_size': 0.00048160552978515625, 'time': 168, 'total_size': 0.08057689666748047,
                 'body_size': 0.08009529113769531}]},
            'application/javascript': {'total_time': 459, 'total_size': 0.39752674102783203, 'entries': [
                {'url': 'https://www.apsl.net/static/apslweb/CACHE/js/efcf3bb0a72c.js', 'status': 200,
                 'headers_size': 0.00045299530029296875, 'time': 459, 'total_size': 0.39752674102783203,
                 'body_size': 0.39707374572753906}]},
            'application/json': {'total_time': 55, 'total_size': 0.000263214111328125, 'entries': [
                {'url': 'https://location.services.mozilla.com/v1/country?key=no-mozilla-api-key', 'status': 200,
                 'headers_size': 0.00021839141845703125, 'time': 55, 'total_size': 0.000263214111328125,
                 'body_size': 4.482269287109375e-05}]},
            'image/x-icon': {'total_time': 59, 'total_size': 0.00220489501953125, 'entries': [
                {'url': 'https://www.apsl.net/static/apslweb//img/favicon.ico', 'status': 200,
                 'headers_size': 0.00043964385986328125, 'time': 59, 'total_size': 0.00220489501953125,
                 'body_size': 0.0017652511596679688}]},
            'application/octet-stream': {'total_time': 56, 'total_size': 0.06399059295654297, 'entries': [
                {'url': 'https://www.apsl.net/static/apslweb/fonts/fontawesome-webfont.woff2?v=4.5.0&252cb5231cbc',
                 'status': 200, 'headers_size': 0.00045299530029296875, 'time': 56, 'total_size': 0.06399059295654297,
                 'body_size': 0.06353759765625}]},
            'image/gif': {'total_time': 38, 'total_size': 0.0004062652587890625, 'entries': [
                {'url': 'https://www.google-analytics.com/r/collect?v=1&_v=j71&a=1305702961&t=pageview&_s=1&dl=https%3A%2F%2Fwww.apsl.net%2F&ul=ca&de=UTF-8&dt=APSL%3A%20Desarrollo%20a%20medida%20en%20Python%20y%20Django%20-%20Ingenier%C3%ADa%20de%20sistemas%20-%20Desarrollo%20de%20APPs&sd=24-bit&sr=800x680&vp=708x538&je=0&_u=IEBAAEAB~&jid=314794675&gjid=1308556194&cid=1646535931.1539875778&tid=UA-1844269-2&_gid=1336713224.1539875778&_r=1&z=723972656',  # noqa E501
                 'status': 200, 'headers_size': 0.00037288665771484375, 'time': 38, 'total_size': 0.0004062652587890625,
                 'body_size': 3.337860107421875e-05}]},
            'image/png': {'total_time': 529, 'total_size': 0.058859825134277344, 'entries': [
                {'url': 'https://www.apsl.net/static/apslweb/img/apsl.png', 'status': 200,
                 'headers_size': 0.00043582916259765625, 'time': 58, 'total_size': 0.0030126571655273438,
                 'body_size': 0.0025768280029296875},
                {'url': 'https://www.apsl.net/media/apslweb/images/ibacar.width-235.png', 'status': 200,
                 'headers_size': 0.00043773651123046875, 'time': 59, 'total_size': 0.007115364074707031,
                 'body_size': 0.0066776275634765625},
                {'url': 'https://www.apsl.net/media/apslweb/images/palladium.width-235.png', 'status': 200,
                 'headers_size': 0.0004367828369140625, 'time': 51, 'total_size': 0.009558677673339844,
                 'body_size': 0.009121894836425781},
                {'url': 'https://www.apsl.net/static/apslweb/img/content/Home/logitravel.png', 'status': 200,
                 'headers_size': 0.0004367828369140625, 'time': 56, 'total_size': 0.007039070129394531,
                 'body_size': 0.006602287292480469},
                {'url': 'https://www.apsl.net/static/apslweb/img/content/Home/parcbit-logo.png', 'status': 200,
                 'headers_size': 0.0004367828369140625, 'time': 54, 'total_size': 0.012679100036621094,
                 'body_size': 0.012242317199707031},
                {'url': 'https://www.apsl.net/media/apslweb/images/hipotels.width-235.png', 'status': 200,
                 'headers_size': 0.0004367828369140625, 'time': 54, 'total_size': 0.0077972412109375,
                 'body_size': 0.0073604583740234375},
                {'url': 'https://www.apsl.net/media/apslweb/images/logitravel_fUtgZge.width-235.png', 'status': 200,
                 'headers_size': 0.00043773651123046875, 'time': 197, 'total_size': 0.01165771484375,
                 'body_size': 0.011219978332519531}]},
            'image/jpeg': {'total_time': 1235, 'total_size': 0.15709400177001953, 'entries': [
                {'url': 'https://www.apsl.net/media/apslweb/images/Supspot.width-370.jpg', 'status': 200,
                 'headers_size': 0.00043964385986328125, 'time': 65, 'total_size': 0.013524055480957031,
                 'body_size': 0.01308441162109375},
                {'url': 'https://www.apsl.net/media/apslweb/images/encora.width-370.jpg', 'status': 200,
                 'headers_size': 0.00043964385986328125, 'time': 56, 'total_size': 0.023903846740722656,
                 'body_size': 0.023464202880859375},
                {'url': 'https://www.apsl.net/media/apslweb/images/homephoto.original.jpg', 'status': 200,
                 'headers_size': 0.0004405975341796875, 'time': 215, 'total_size': 0.02910327911376953,
                 'body_size': 0.028662681579589844},
                {'url': 'https://www.apsl.net/media/apslweb/images/hipotels_IUF5nTx.width-370.jpg', 'status': 200,
                 'headers_size': 0.0004405975341796875, 'time': 57, 'total_size': 0.021857261657714844,
                 'body_size': 0.021416664123535156},
                {'url': 'https://www.apsl.net/media/apslweb/images/home_inmobiliaria_01.width-370.jpg', 'status': 200,
                 'headers_size': 0.0004367828369140625, 'time': 199, 'total_size': 0.009805679321289062,
                 'body_size': 0.009368896484375},
                {'url': 'https://www.apsl.net/media/apslweb/images/home_vacacional_01.width-370.jpg', 'status': 200,
                 'headers_size': 0.000438690185546875, 'time': 191, 'total_size': 0.010127067565917969,
                 'body_size': 0.009688377380371094},
                {'url': 'https://www.apsl.net/media/apslweb/images/home_odoo_01.width-370.jpg', 'status': 200,
                 'headers_size': 0.000438690185546875, 'time': 227, 'total_size': 0.009877204895019531,
                 'body_size': 0.009438514709472656},
                {'url': 'https://www.apsl.net/media/apslweb/images/juanichi_58btoxC.width-270.jpg', 'status': 200,
                 'headers_size': 0.000438690185546875, 'time': 53, 'total_size': 0.010199546813964844,
                 'body_size': 0.009760856628417969},
                {'url': 'https://www.apsl.net/media/apslweb/images/bernat_Jh32OKL.width-270.jpg', 'status': 200,
                 'headers_size': 0.00043773651123046875, 'time': 58, 'total_size': 0.009754180908203125,
                 'body_size': 0.009316444396972656},
                {'url': 'https://www.apsl.net/media/apslweb/images/toni_FaUF524.width-270.jpg', 'status': 200,
                 'headers_size': 0.000438690185546875, 'time': 57, 'total_size': 0.009839057922363281,
                 'body_size': 0.009400367736816406},
                {'url': 'https://www.apsl.net/media/apslweb/images/iker_xDmoSm3.width-270.jpg', 'status': 200,
                 'headers_size': 0.00043773651123046875, 'time': 57, 'total_size': 0.009102821350097656,
                 'body_size': 0.008665084838867188}]}}


@pytest.fixture()
def fix_total_page_size():
    return 0.8981132507324219


@pytest.fixture()
def fix_numentries():
    return 35


@pytest.fixture()
def fix_load_time():
    return 2874
